Skip to content
TellMeHow Developers

API documentation

Audit chat

Audit chat: 5 API operations, with their parameters, body, responses and a curl example.

GET /engagements/{engagement}/chat/threads

Read chat.threads.index

Parameters

engagement path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/chat/threads" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/chat/threads

Write chat.threads.store

Parameters

engagement path
Identifier (ULID).

Body application/json

  • deliverable_version_id string | null
  • title string | null

    length: at most 255

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/chat/threads" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"deliverable_version_id":"01JABCDEFGHJKMNPQRSTVWXYZ0","title":"…"}'

DELETE /engagements/{engagement}/chat/threads/{thread}

Write chat.threads.destroy

Parameters

engagement path
Identifier (ULID).
thread path
Identifier (ULID).

Responses

  • 204 Deleted, no content.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X DELETE "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/chat/threads/{thread}" \
  -H "Authorization: Bearer pat_…"

GET /engagements/{engagement}/chat/threads/{thread}/messages

Read chat.threads.messages.index

Parameters

engagement path
Identifier (ULID).
thread path
Identifier (ULID).
cursor limit query
Cursor pagination, for operations that return a paginated list.

Responses

  • 200 Success: the resource in data.
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/chat/threads/{thread}/messages" \
  -H "Authorization: Bearer pat_…"

POST /engagements/{engagement}/chat/threads/{thread}/messages

Write chat.threads.messages.store

Parameters

engagement path
Identifier (ULID).
thread path
Identifier (ULID).

Body application/json

  • content string required

    length: at most 2000

Responses

  • 201 Created (200 or 202 for an action or an asynchronous job).
  • 401 Missing, invalid, revoked or expired token.
  • 403 Not allowed by the role, a rule or the scope.
  • 404 Unknown resource or outside the workspace.
  • 422 Invalid data (validation.failed).
  • 429 Rate limit reached.
Example
curl -X POST "https://{your-workspace}.tellmehow.io/api/v1/engagements/{engagement}/chat/threads/{thread}/messages" \
  -H "Authorization: Bearer pat_…" \
  -H "Content-Type: application/json" \
  -d '{"content":"…"}'